[Документация Yandex Cloud](../../../index.md) > [Yandex Lockbox](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Payload](index.md) > Get

# Lockbox API, REST: Payload.Get

Returns the payload of the specified secret.
To get the list of all available secrets, make a [SecretService.List](../Secret/list.md#List) request.

## HTTP request

```
GET https://dpl.lockbox.api.yandexcloud.kz/lockbox/v1/secrets/{secretId}/payload
```

## Path parameters

#|
||Field | Description ||
|| secretId | **string**

Required field. ID of the secret.

The maximum string length in characters is 50. ||
|#

## Query parameters {#yandex.cloud.lockbox.v1.GetPayloadRequest}

#|
||Field | Description ||
|| versionId | **string**

Optional ID of the version.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.lockbox.v1.Payload}

**HTTP Code: 200 - OK**

```json
{
  "versionId": "string",
  "entries": [
    {
      // Includes only one of the fields `textValue`, `binaryValue`
      "textValue": "string",
      "binaryValue": "string",
      // end of the list of possible fields
      "key": "string"
    }
  ]
}
```

A payload.

#|
||Field | Description ||
|| versionId | **string**

ID of the version that the payload belongs to. ||
|| entries[] | **[Entry](#yandex.cloud.lockbox.v1.Payload.Entry)**

Payload entries. ||
|#

## Entry {#yandex.cloud.lockbox.v1.Payload.Entry}

#|
||Field | Description ||
|| textValue | **string**

Text value.

Includes only one of the fields `textValue`, `binaryValue`.

Confidential value of the entry. ||
|| binaryValue | **string** (bytes)

Binary value.

Includes only one of the fields `textValue`, `binaryValue`.

Confidential value of the entry. ||
|| key | **string**

Non-confidential key of the entry. ||
|#